Polyrankdocs
Markets

GET /v1/market/{conditionId}/flow/cohort

Skill-attributed flow: net YES-equivalent exposure flow by trader-skill cohort (5-min buckets).

GET
/v1/market/{conditionId}/flow/cohort

Skill-attributed flow: net YES-equivalent exposure flow by trader-skill cohort (5-min buckets).

AuthorizationBearer <token>

API key: Authorization: Bearer pk_live_… (mint at polyrank.app/api-keys)

In: header

Path Parameters

conditionId*string

Query Parameters

hours?integer

Response Body

application/json

curl -X GET "https://example.com/v1/market/string/flow/cohort"
{  "condition_id": "string",  "window_hours": -9007199254740991,  "buckets": [    {      "bucket_ts": "string",      "smart_net_yes_usdc": 0,      "crowd_net_yes_usdc": 0,      "smart_buy_usdc": 0,      "smart_sell_usdc": 0,      "crowd_buy_usdc": 0,      "crowd_sell_usdc": 0,      "smart_fills": -9007199254740991,      "crowd_fills": -9007199254740991    }  ],  "headline": {    "smart_net_yes_usdc": 0,    "crowd_net_yes_usdc": 0,    "smart_gross_usdc": 0,    "crowd_gross_usdc": 0,    "smart_wallets": -9007199254740991,    "crowd_wallets": -9007199254740991,    "smart_buy_yes_share": 0,    "smart_lean": "YES",    "diverges": true  },  "as_of": "string"}